/* ========================================
AGENTS SECTION
======================================== */

    .agents-section {
        color: var(--text-color);
        padding: 1rem 0;
        width: 97vw;
        overflow: hidden;
        position: relative;
        text-align: center;
    }

    /* Dark Theme Adjustments */
    body.dark-theme .agents-section {
        color: var(--dark-text-color);
    }

    .agents-section .container {
        background: linear-gradient(to right, rgb(235, 235, 235), rgb(245, 245, 245), rgb(235, 235, 235));
        border-radius: 20px;
        box-shadow: 0 8px 20px rgba(0, 0, 0, 0.2);
        padding: 4rem;
        max-width: 2000px;
        min-width: 300px;
        width: 95%;
        margin: 0 auto;
    }

    body.dark-theme .agents-section .container {
        background: transparent !important;
        border: 1px solid var(--gold-color);
    }


    .agents-section .agents-description {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
    }

    .agents-section .agents-description .section-title h3 {
        color: var(--gold-color-secondary) !important;
        font-family: 'Cinzel', serif;
        letter-spacing: 2px;
        /*text-align: center;*/
    }

    body.dark-theme .agents-section .agents-description .section-title h3 {
        color: var(--gold-color-secondary) !important;
    }

    .agents-section  .agents-description .section-underline {
        background: linear-gradient(90deg, var(--gold-color-secondary) 30%, transparent 100%);
        width: 100%;
        height: 3px;
    }

    .agents-section .agents-description p {
        font-size: 1.2rem;
        line-height: 1.8;
        text-align: start;
        margin-bottom: 2rem;
        color: rgba(0, 0, 0, 0.6);
    }

    body.dark-theme .agents-section .agents-description p {
        color: rgba(255, 255, 255, 0.8);
    }


    .agents-section .agents-container {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: center;
        gap: 3rem;
        width: 100%;
    }

    .agents-section .agent-card {
        position: relative;
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        border-radius: 11px;
        cursor: pointer;
        display: flex;
        flex-direction: column;
        min-width: 280px;
        width: 25%;
        aspect-ratio: 2 / 3;
        align-items: center;
        justify-content: center;
        overflow: hidden;
        box-shadow: 0 0 5px rgba(0, 0, 0, 0.15);
        transition: all 0.3s ease;
    }

    .agents-section .agent-card:hover,
    .agents-section .agent-card:focus {
        transform: scale(0.98);
        box-shadow:none;
    }
    
    body.dark-theme .agents-section .agent-card:hover,
    body.dark-theme .agents-section .agent-card:focus {
        transform: scale(0.98);
        border: 1px solid var(--gold-color-secondary);
        box-shadow:none;
    }


    .agent-overlay {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        transform: scale(1);
        background: rgba(0, 0, 0, 0.7);
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        align-items: center;
        border-radius: inherit;
        opacity: 0;
        /*backdrop-filter: blur(4px);***/
        transition: all 0.3s ease;
    }

    .agent-card:hover .agent-overlay,
    .agent-card:focus .agent-overlay {
        transform: scale(1);
        opacity: 1;

    }

    .agents-section .agents-member-info {
        text-align: center;
        margin-bottom: 2rem;
    }

    .agents-section .agents-member-info h3 {
        text-align: center;
        color: var(--gold-color-secondary) !important;
    }

    .agents-section .agents-member-info p {
        color: var(--dark-text-color);
        text-align: center;
        font-weight: bold;
        opacity: 0.9;
        font-size: 1.1rem;
    }

    .agents-section .agent-contact {
        display: flex;
        flex-direction: row;
        gap: 15px;
        align-items: center;
        justify-content: center;
    }

    .btn-contact {
        border: 2px solid var(--gold-color-secondary);
        border-radius: 50%;
        width: 45px;
        aspect-ratio: 1/1;
        background: var(--gold-color-secondary);
        color: rgb(240, 240, 240);
        font-size: 1rem;
        font-weight: 600;
        text-decoration: none;
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 6px;
        transition: all 0.2s ease-out;
    }

    .btn-contact:hover,
    .btn-contact:focus {
        background: transparent !important;
        border: 2px solid var(--gold-color-secondary) !important;
        color: var(--gold-color-secondary) !important;
        transform: scale(1.05) !important;
    }

    .btn-whatsapp {
        border-radius: 50%;
        width: 45px;
        aspect-ratio: 1/1;
        color: rgb(240, 240, 240);
        font-size: 1rem;
        font-weight: 600;
        text-decoration: none;
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 6px;
        transition: all 0.2s ease-out;
        border: 2px solid #25d366 !important;
        background: #25d366 !important;
    }

    .btn-whatsapp:hover {
        border: 2px solid #25d366 !important;
        background: transparent !important;
        color: #25d366 !important;
    }

    body.dark-theme .btn-contact:hover,
    body.dark-theme .btn-contact:focus {
        background: transparent;
        color: var(--gold-color-secondary);
        transform: scale(1.05);
    }


    /* Responsive adjustments */
    @media (max-width: 767.98px) {

        .agents-section {
            width: 90vw;
        }

        .agents-section .container {
            max-width: 100%;
            padding: 3rem 1.5rem;
            margin: 0 auto;
        }


        .agents-section .section-title h3 {
            font-size: 2.2rem;
        }

        .agents-section p {
            font-size: 1rem;
        }
    }